V1.0
post
/ec-dc-svc/rest/v1/studies/{studyId}/{mode}/visitstatus/subjects/aeCount
Retrieves the list of adverse event visit counts for a given list of subjects.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
E6C7BC17E0F041D5B79B21A165911AC3
Supported Media Types
- application/json
Root Schema : schema
Type:
objectRequest payload containing a list of subject identifiers.
Show Source
-
subjects: array
subjects
List of subject identifiers in UUID, 32-character uppercase hexadecimal string
Nested Schema : subjects
Type:
arrayList of subject identifiers in UUID, 32-character uppercase hexadecimal string
Show Source
-
Array of:
string(uuid)
List of subject identifiers in UUID, 32-character uppercase hexadecimal string
Example:
[
"1BC29B36F5D64B1B95F4BDBBCEA481BE",
"2ABC8A2C11045A584ADEA8760F72B114"
]Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Subjects success.
Root Schema : schema
Type:
Show Source
array-
Array of:
object SubjectAECountDto
Adverse event count details per subject and event in a given study version.
Nested Schema : SubjectAECountDto
Type:
objectAdverse event count details per subject and event in a given study version.
Show Source
-
eventId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
53915DD9B758466AB2226CBCC4466B7E -
repeatingFormCount: number
Number of repeating form instances for the visit.Example:
2 -
studyVersion: string
String representing the version of the study. Helps track changes in form or study design.Example:
3.0.0.1 -
subjectId: string
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
Examples
400 Response
Bad request.
Root Schema : DcsResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.